### Method

# Gtk ShortcutTrigger trigger

#### Declaration [src]

    GdkKeyMatch
    gtk_shortcut_trigger_trigger (
      GtkShortcutTrigger* self,
      GdkEvent* event,
      gboolean enable_mnemonics
    )

#### Description [src]

Checks if the given `event` triggers `self`.

#### Parameters

`event` | `GdkEvent*`
| The event to check.
| The data is owned by the caller of the function.
`enable_mnemonics` | `gboolean`
| `TRUE` if mnemonics should trigger. Usually the value of this property is determined by checking that the passed in `event` is a Key event and has the right modifiers set.

#### Return value

Returns: | `GdkKeyMatch`
| Whether the event triggered the shortcut.